Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum BreakTypeEnum

    java.lang.Object
      java.lang.Enum<BreakTypeEnum>
          net.sf.jasperreports.engine.type.BreakTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BreakTypeEnum>, JREnum

    public enum BreakTypeEnum

extends java.lang.Enum<BreakTypeEnum>
implements JREnum

Version:
  $Id: BreakTypeEnum.java 3439 2010-02-18 14:57:42Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`COLUMN` Constant used for specifying that the break element will break the column.
`PAGE` Constant used for specifying that the break element will break the page.

Method Summary
`static BreakTypeEnum` | `getByName(java.lang.String name)`
`static BreakTypeEnum` | `getByValue(byte value)`
`static BreakTypeEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static BreakTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BreakTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PAGE

    public static final BreakTypeEnum PAGE

  Constant used for specifying that the break element will break the page.

### COLUMN

    public static final BreakTypeEnum COLUMN

  Constant used for specifying that the break element will break the column.

Method Detail

### values

    public static BreakTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BreakTypeEnum c : BreakTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BreakTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static BreakTypeEnum getByName(java.lang.String name)

### getByValue

    public static BreakTypeEnum getByValue(java.lang.Byte value)

### getByValue

    public static BreakTypeEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com